﻿Public Class Form1
    Dim Connection As Byte '取込方式 0:2線式 1:3線式 2:4線式
    Dim TotalCnt As Byte '取込ボタン押下後からの現在の総取込数
    Const devID As Short = 0 '装置のID

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        TypeSelect.SelectedIndex = 0
    End Sub

    Private Sub Form1_FormClosed(sender As System.Object, e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        If StartBtn.Text = "中止" Then
            MeasAbort()
        End If
    End Sub

    Private Sub MeasStart()
        Dim Ret As Short
        Ret = Tusbs01pt_Device_Open(devID)
        If Ret <> 0 Then
            Tusbs01pt_GetErrMessage(Ret)
            MsgBox("ID番号を確認してください")
            Exit Sub
        End If

        TypeSelect.Enabled = False
        Connection = TypeSelect.SelectedIndex

        ResultView.Text = ""
        TotalCnt = 0
        Ret = Tusbs01pt_Start_Sample(devID, 1) '取込開始
        Timer1.Enabled = True
        StartBtn.Text = "中止"
    End Sub

    Private Sub MeasAbort()
        Timer1.Enabled = False
        Tusbs01pt_Device_Close(devID)
        StartBtn.Text = "取込"
        TypeSelect.Enabled = True
    End Sub

    Private Sub StartBtn_Click(sender As System.Object, e As System.EventArgs) Handles StartBtn.Click
        Select Case StartBtn.Text
            Case "取込"
                MeasStart()
            Case "中止"
                MeasAbort()
        End Select
    End Sub

    Private Sub Timer1_Tick(sender As System.Object, e As System.EventArgs) Handles Timer1.Tick
        Dim Ret As Short
        Dim DataSize As Byte = 10
        Dim tData(DataSize - 1) As Double
        Dim SerNum(DataSize - 1) As Byte
        Dim Cnt As Integer

        Timer1.Enabled = False '一旦タイマー停止
        Ret = Tusbs01pt_Get_Datas(devID, tData, SerNum, DataSize, Connection, 1)

        For Cnt = 0 To DataSize - 1
            ResultView.Text = ResultView.Text & tData(Cnt).ToString("000.0 ℃") & vbCrLf
            TotalCnt += 1
            If TotalCnt > 9 Then
                MeasAbort() '終了
                Exit Sub
            End If
        Next
        Timer1.Enabled = True 'タイマー再開
    End Sub
End Class
